io.undertow.protocols.http2

## Class Http2SettingsStreamSinkChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>
  - - io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel
    - - io.undertow.protocols.http2.Http2StreamSinkChannel
      - - io.undertow.protocols.http2.Http2SettingsStreamSinkChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, GatheringByteChannel, InterruptibleChannel, WritableByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSinkChannel, org.xnio.channels.SuspendableWriteChannel

    public class Http2SettingsStreamSinkChannel
    extends Http2StreamSinkChannel

//TODO: ack

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SendFrameHeader` `createFrameHeaderImpl()`

### Methods inherited from class io.undertow.protocols.http2.Http2StreamSinkChannel

`allocateAll, awaitWritable, awaitWritable, channelForciblyClosed, createFrameHeader, getStreamId, grabFlowControlBytes, handleFlushComplete`

### Methods inherited from class io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel

`isLastFrame`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel

`close, flush, getAwaitWritableTimeout, getBuffer, getChannel, getCloseSetter, getIoThread, getOption, getWorker, getWriteSetter, getWriteThread, isBroken, isBufferFull, isFinalFrameQueued, isFirstDataWritten, isFlushRequiredOnEmptyBuffer, isOpen, isReadyForFlush, isWriteResumed, isWritesShutdown, markBroken, preWriteTransform, resumeWrites, resumeWritesInternal, safeToSend, send, sendInternal, setOption, shutdownWrites, supportsOption, suspendWrites, transferFrom, transferFrom, wakeupWrites, write, write, write, writeFinal, writeFinal, writeFinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createFrameHeaderImpl

    protected SendFrameHeader createFrameHeaderImpl()

Specified by:
  `createFrameHeaderImpl` in class `Http2StreamSinkChannel`